<?

 /*************************************************************************************
 * Filename: modules/memory.php
 *
 * This file is part of the Dashboard JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Dashboard JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/dashboard/
 *************************************************************************************/


 require_once($_path["include"]."module.php");
 require_once($_path["project"]["plugins"]."dashboard/modules/dashboard.php");

 class Plugin_Module_dashboard_memory extends Plugin_Module_dashboard_dashboard
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="Dashboard memory usage";

   $this->data->addField("memoryavailable", "nr", "all", "big;title", 100000000, false, 0, "Available memory"); //minimal 100MB
   $this->data->addField("memoryavailable_d", "float", "show", false, false, false, 0, "Available memory");
   $this->data->addField("memoryavailable_percentage", "float", "all", false, 5, false, 0, "Available memory"); //minimal 5%
   $this->data->addField("memoryavailable_percentage_d", "float", "show", false, false, false, 0, "Available memory");

   $this->data->addField("memoryused", "nr", "all", "big", false, false, 0, "Used memory");
   $this->data->addField("memoryused_d", "float", "show", false, false, false, 0, "Used memory");
   $this->data->addField("memoryused_percentage", "float", "all", false, false, false, 0, "Used memory");
   $this->data->addField("memoryused_percentage_d", "float", "show", false, false, false, 0, "Used memory");

   $this->data->addField("memorycached", "nr", "all", "big", false, false, 0, "Cached memory");
   $this->data->addField("memorycached_d", "float", "show", false, false, false, 0, "Cached memory");
   $this->data->addField("memorycached_percentage", "float", "all", false, false, false, 0, "Cached memory");
   $this->data->addField("memorycached_percentage_d", "float", "show", false, false, false, 0, "Cached memory");

   $this->data->addField("memorybuffers", "nr", "all", "big", false, false, 0, "Buffered memory");
   $this->data->addField("memorybuffers_d", "float", "show", false, false, false, 0, "Buffered memory");
   $this->data->addField("memorybuffers_percentage", "float", "all", false, false, false, 0, "Buffered memory");
   $this->data->addField("memorybuffers_percentage_d", "float", "show", false, false, false, 0, "Buffered memory");

   $this->data->addField("memorytotal", "nr", "all", "big;title", false, false, 0, "Total memory");

   $this->data->addField("swapavailable", "nr", "all", "big", 100000000, false, 0, "Available swap"); //minimal 100MB
   $this->data->addField("swapavailable_d", "float", "show", false, false, false, 0, "Available swap");
   $this->data->addField("swapavailable_percentage", "float", "all", false, 5, false, 0, "Available swap"); //minimal 5%
   $this->data->addField("swapavailable_percentage_d", "float", "show", false, false, false, 0, "Available swap");

   $this->data->addField("swapused", "nr", "all", "big", false, false, 0, "Used swap");
   $this->data->addField("swapused_d", "float", "show", false, false, false, 0, "Used swap");
   $this->data->addField("swapused_percentage", "float", "all", false, false, false, 0, "Used swap");
   $this->data->addField("swapused_percentage_d", "float", "show", false, false, false, 0, "Used swap");

   $this->data->addField("swapcached", "nr", "all", "big", false, false, 0, "Cached swap");
   $this->data->addField("swapcached_d", "float", "show", false, false, false, 0, "Cached swap");
   $this->data->addField("swapcached_percentage", "float", "all", false, false, false, 0, "Cached swap");
   $this->data->addField("swapcached_percentage_d", "float", "show", false, false, false, 0, "Cached swap");

   $this->data->addField("swaptotal", "nr", "all", "big;title", false, false, 0, "Total swap");

   $this->data->addField("updated", "datetime", "sql", "forceUpdate;default", false, false, "now", "Last update");
  }

 }
?>
