<?

 /*************************************************************************************
 * Filename: modules/system.php
 *
 * This file is part of the Dashboard JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Dashboard JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/dashboard/
 *************************************************************************************/


 require_once($_path["include"]."module.php");
 require_once($_path["project"]["plugins"]."dashboard/modules/dashboard.php");

 class Plugin_Module_dashboard_system extends Plugin_Module_dashboard_dashboard
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="Dashboard system info";

   $this->data->addField("hostname", "text", "show;sql", "title", false, 25, "", "Hostname");
   $this->data->addField("processor", "text", "show;sql", false, false, 25, "", "Processor");
   $this->data->addField("hardware", "text", "show;sql", false, false, 25, "", "Hardware");
   $this->data->addField("os", "text", "show;sql", false, false, 25, "", "Operating system");

   $this->data->addField("kernel", "text", "show;sql", false, false, 25, "", "Kernel");
   $this->data->addField("kernelrelease", "text", "show;sql", false, false, 25, "", "Kernel release");
   $this->data->addField("kernelversion", "text", "show;sql", false, false, 25, "", "Kernel version");

   $this->data->addField("distro", "text", "show;sql", false, false, 25, "", "Distro");
   $this->data->addField("distroversion", "version", "show;sql", "singleField", false, false, false, "Distro version");
   $this->data->addField("distrolastupdate", "datetime", "show;sql", "", false, false, false, "Distro last update");
   $this->data->addField("distrolastupdated", "datetime", "show;sql", "", false, false, false, "Distro last updated");

   $this->data->addField("updated", "datetime", "sql", "forceUpdate;default", false, false, "now", "Last update");
  }
 }
?>
