<?

 /*************************************************************************************
 * Filename: modules/network.php
 *
 * This file is part of the Dashboard JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Dashboard JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/dashboard/
 *************************************************************************************/


 require_once($_path["include"]."module.php");
 require_once($_path["project"]["plugins"]."dashboard/modules/dashboard.php");

 class Plugin_Module_dashboard_network extends Plugin_Module_dashboard_dashboard
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="Dashboard network";

   $this->data->addField("device", "text", "show;sql", false, false, 25, false, "Device");

   $this->data->addField("rx", "nr", "all", "big", false, false, 0, "Received");
   $this->data->addField("rx_dps", "float", "show", false, -100000, 100000, 0, "Received"); //maximal 100KB/s
   $this->data->addField("tx", "nr", "all", "big", false, false, 0, "Transmitted");
   $this->data->addField("tx_dps", "float", "show", false, -100000, 100000, 0, "Transmitted"); //maximal 100KB/s

   $this->data->addField("updated", "datetime", "sql", "forceUpdate;default", false, false, "now", "Last update");

   $this->data->sortOrder("device+");
  }
 }
?>
